package tasks

import (
	"ocl/portainer-devtool/tasks/common"
	"ocl/portainer-devtool/utils"
)

type TestEnvironmentTask struct {
	ParentTasks []common.Tasker
}

func NewTestEnvironmentTask() *TestEnvironmentTask {
	return &TestEnvironmentTask{}
}

func (task *TestEnvironmentTask) Execute() error {
	utils.SuccessPrint(`
https://github.com/portainer/platform/actions 
	`)

	return nil
}

func (task *TestEnvironmentTask) SetParentTaskers(tasks []common.Tasker) {
	task.ParentTasks = tasks
}

func (task *TestEnvironmentTask) String() string {
	return "Create Testing Environment(VPN)"
}
